Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# ColorTable32KMod Class Reference

This class is a wrapper used by ColorTableModSelector to load and instantiate a colormap of type ColorTable32K. More...

`#include <ColorTable32KMod.h>`

Inheritance diagram for ColorTable32KMod:

[legend]
Collaboration diagram for ColorTable32KMod:

[legend]
List of all members.

## Public Member Functions
| ColorTable32KMod (const ColorTableModInterfaces &interfaces)
| Constructor.
void | setup ()
| Loads and instantiates this kind of colormap by copying it back to the main colorTable buffer.
void | execute ()
| this method does nothing here, it's just required by the Module interface

## Detailed Description

This class is a wrapper used by ColorTableModSelector to load and instantiate a colormap of type ColorTable32K.

Author:
  Walter Nistico

Definition at line 23 of file ColorTable32KMod.h.

## Constructor & Destructor Documentation

ColorTable32KMod::ColorTable32KMod | ( | const ColorTableModInterfaces & | interfaces | ) | `[inline]`

| Constructor. Definition at line 28 of file ColorTable32KMod.h.

## Member Function Documentation

void ColorTable32KMod::setup | ( |  | ) | `[virtual]`

| Loads and instantiates this kind of colormap by copying it back to the main colorTable buffer. Implements ColorTableMod. Definition at line 23 of file ColorTable32KMod.cpp. References InFile::exists(), getLocation(), and ColorTable64::setFormat(). Referenced by ColorTableModSelector::createSolution().

Here is the call graph for this function:

void ColorTable32KMod::execute | ( |  | ) | `[inline, virtual]`

| this method does nothing here, it's just required by the Module interface Reimplemented from Module. Definition at line 38 of file ColorTable32KMod.h.

The documentation for this class was generated from the following files:

- Modules/ColorTableMod/ColorTable32KMod.h
- Modules/ColorTableMod/ColorTable32KMod.cpp